Package org.eclipse.m2m.atl.emftvm.util

# Class ModuleNotFoundException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
org.eclipse.m2m.atl.emftvm.util.ModuleNotFoundException

All Implemented Interfaces:
  `Serializable`

public class ModuleNotFoundException extends RuntimeException
Module not found.

See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`ModuleNotFoundException()`
Creates a new `ModuleNotFoundException`.
`ModuleNotFoundException(String message)`
Creates a new `ModuleNotFoundException`.
`ModuleNotFoundException(String message, Throwable cause)`
Creates a new `ModuleNotFoundException`.
`ModuleNotFoundException(Throwable cause)`
Creates a new `ModuleNotFoundException`.

## Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### ModuleNotFoundException

public ModuleNotFoundException()
Creates a new `ModuleNotFoundException`.

### ModuleNotFoundException

public ModuleNotFoundException(String message, Throwable cause)
Creates a new `ModuleNotFoundException`.

Parameters:
  `message` - the error message
  `cause` - the nested exception

### ModuleNotFoundException

public ModuleNotFoundException(String message)
Creates a new `ModuleNotFoundException`.

Parameters:
  `message` - the error message

### ModuleNotFoundException

public ModuleNotFoundException(Throwable cause)
Creates a new `ModuleNotFoundException`.

Parameters:
  `cause` - the nested exception